
Katello - Bug #5062

403 when listing system-groups using hammer

04/03/2014 03:01 PM - Bryan Kearney

Status: Closed   

Priority: Normal   

Assignee: Adam Price   

Category: Hammer   

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1084019 Red Hat JIRA:  

Pull request:    

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1084019

Description of problem:

Getting 403 when listing system-groups using hammer

Version-Release number of selected component (if applicable):

Satellite-6.0.3-RHEL-6-20140402.3-Satellite-x86_64-dvd1.iso

How reproducible:

always

Steps to Reproduce:

1. create a system group using webui or hammer

2. # hammer system-group list

Actual results:

1. hammer system-group list

Forbidden - server refused to process the request

Expected results:

list of system groups

Additional info:

from the /var/log/foreman/production.log:

...

Authorized user admin(Admin User)

Katello::Errors::SecurityViolation: User admin is not allowed to access katello/api/v2/system_groups/index

Completed 403 Forbidden in 227ms (Views: 0.4ms | ActiveRecord: 14.6ms)

History

#1 - 04/03/2014 03:02 PM - Bryan Kearney

- Category set to API

- Assignee set to Adam Price

- Triaged set to No

#2 - 04/03/2014 03:04 PM - Bryan Kearney

- Category changed from API to Hammer

#3 - 04/25/2014 12:04 PM - Justin Sherrill

- translation missing: en.field_release set to 13

#4 - 06/04/2014 02:19 PM - Eric Helms
https://bugzilla.redhat.com/show_bug.cgi?id=1084019


- Status changed from New to Closed

- Triaged changed from No to Yes
